Skip to main content
GET
/
api
/
client
/
v1
/
prospects
List Prospects With Statistics
curl --request GET \
  --url https://prod-nginx-v2.goextrovert.com/webgateway/api/client/v1/prospects \
  --header 'X-API-Key: <api-key>'
{
  "status": "success",
  "data": [
    {
      "id": "cf33282b-b171-4d23-ae02-848499d793e4",
      "fullName": "<string>",
      "firstName": "<string>",
      "lastName": "<string>",
      "campaignId": "8d256aa6-9b12-49a7-93ee-bf41634b5b60",
      "campaignName": "<string>",
      "listId": "cf33282b-b171-4d23-ae02-848499d793e4",
      "listName": "<string>",
      "createdAt": "2025-06-30T14:02:07.456Z",
      "postsFetched": 123,
      "directComments": 123,
      "indirectComments": 123,
      "likes": 123,
      "prospectProfileUrl": "https://www.linkedin.com/in/john-doe",
      "oldestFetchedPost": "2025-06-30T14:02:07.456Z",
      "newestFetchedPost": "2025-06-30T14:02:07.456Z",
      "recentDirectCommentDate": "2025-06-30T14:02:07.456Z",
      "recentIndirectCommentDate": "2025-06-30T14:02:07.456Z",
      "wasConnectionRequestSentViaExtrovert": true,
      "connectionRequestSentDate": "2025-06-30T14:02:07.456Z",
      "connectedDate": "2025-06-30T14:02:07.456Z"
    }
  ],
  "message": "Operation completed successfully"
}

Authorizations

X-API-Key
string
header
required

API Key for authentication

Query Parameters

campaignId
string<uuid>
required

ID of the campaign to list prospects from.

listId
string<uuid>

Optional prospect list ID to narrow the result to a single list within the campaign.

Response

status
enum<string>
required

Response status

Available options:
success
data
object[]
required

Prospects list with statistics

message
string
required

Success message

Example:

"Operation completed successfully"